routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('cekakun')->group(function () {
    Route::get('/', "Dashboard\DashboardController@index")->name('dashboard');
    Route::get('test_word/{id}', "Dashboard\DashboardController@testWord");
    Route::resource("jabatan","DataMaster\JabatanController");
    Route::resource("tempat_tugas","DataMaster\TipePegawaiController");
    Route::resource("tempat_presensi","Presensi\TempatPresensiController");
    Route::resource("pegawai","Pengguna\PegawaiController");
    Route::resource("akun","Pengguna\AkunController");
    Route::get("all_pegawai","Pengguna\PegawaiController@all_pegawai");
    Route::resource('rule_presensi','Presensi\RulePresensiController');
    Route::resource('waktu_presensi','Presensi\WaktuPresensiController');
    Route::resource('rule_hari_libur','Presensi\RuleHariLiburController');
    Route::get("logout","Auth\LoginController@logout")->name('logout');
    Route::resource('belum_presensi', 'Presensi\BelumPresensiController');
    Route::resource('log_presensi', 'Presensi\PresensiController');
    Route::get('log_presensi/group/{tipe}','Presensi\PresensiController@showPerTempatTugas');
    Route::post('print_data', 'Presensi\PresensiController@rekapData');
    Route::get('detail_presensi/{pegawai}','Presensi\PresensiController@detailPresensi');
    // Cetak Data
    Route::get('printData','Presensi\PresensiController@printData');
    Route::post('print_data_kolektif', 'Presensi\PresensiController@rekapDataKolektif');
    Route::get('cetak_pdf_kolektif/{pegawai}','Presensi\PresensiController@printDataCollective');
    Route::post('cetak_pdf_all_kolektif','Presensi\PresensiController@cetakAllPegawai');
    Route::get('print_pdf_all_kolektif/{tipe}','Presensi\PresensiController@printDataAll');
    Route::get('presensi_excel/{id}','Presensi\PresensiController@exportExcel');
    //Route::get('log_presensi_pegawai/{id}','Presensi\PresensiController@show');
    Route::post('ketidakhadiran/add', 'Presensi\KetidakhadiranController@addIzin');
    Route::resource('ketidakhadiran', 'Presensi\KetidakhadiranController');
    Route::get('pengajuan_izin_cuti/{idpegawai}/{presensiid}','Presensi\KetidakhadiranController@cetakPengajuanCutiIzin');
    Route::resource('periode','Presensi\PeriodeController');
    Route::post('surat/act','Penugasan\TugasController@update');

    // Penugasan
    Route::get('penugasan/rekap', 'Penugasan\TugasController@rekap');
    Route::get('penugasan/cetak_pdf', 'Penugasan\TugasController@cetakPdf');
    Route::get('penugasan/export_excel', 'Penugasan\TugasController@export_excel');
    Route::resource('penugasan','Penugasan\TugasController');
    Route::get('penugasan/detail/{id}', 'Penugasan\TugasController@detail');
    Route::put('penugasan/detail/batal', 'Penugasan\TugasController@batal');
    Route::put('penugasan/detail/kirim', 'Penugasan\TugasController@kirim');
    Route::put('penugasan/detail/selesai', 'Penugasan\TugasController@selesai');
    Route::resource('surat','Penugasan\SuratController');
    Route::resource('aktivitas','Penugasan\AktivitasController');
    Route::get('aktifitas/rekap', 'Penugasan\AktivitasController@rekap');
    Route::get('aktifitas/cetak_pdf', 'Penugasan\AktivitasController@cetakPdf');
    Route::get('aktifitas/export_excel', 'Penugasan\AktivitasController@export_excel');
    Route::get("cek/{tgl1}/{tgl2}/{pegawai}", function($tgl1, $tgl2, $pegawai){
        $status = "accepted";
        $cek = \App\Presensi::where('presensi.pegawai_id',$pegawai)
            ->where('presensi.tipe_izin','<>',null)
            ->where('presensi.status_izin',$status)
            ->where('presensi.tipe_izin', 'dinas_luar')
            ->whereBetween('presensi.tgl_presensi',array($tgl1, $tgl2))
            ->count();
        echo $cek;
    });
});

Route::middleware('sudahlogin')->group(function () {
    Route::get("login","Auth\LoginController@showLoginForm")->name('login');
    Route::post("post_login","Auth\LoginController@post_login")->name('post_login');
});

resources/views/templates/footer.blade.php
<footer class="footer mt-auto">
    <div class="copyright bg-white">
      <p>
        &copy; <span id="copy-year">2019</span>
      </p>
    </div>
    <script>
        var d = new Date();
        var year = d.getFullYear();
        document.getElementById("copy-year").innerHTML = year;
    </script>
</footer>

resources/views/templates/main.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="description" content="Sleek Dashboard - Free Bootstrap 4 Admin Dashboard Template and UI Kit. It is very powerful bootstrap admin dashboard, which allows you to build products like admin panels, content management systems and CRMs etc.">
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>@yield('title')</title>

  <!-- GOOGLE FONTS -->
  {{-- <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500|Poppins:400,500,600,700|Roboto:400,500" rel="stylesheet" /> --}}
  <link href="https://cdn.materialdesignicons.com/4.4.95/css/materialdesignicons.min.css" rel="stylesheet" />
  <!-- PLUGINS CSS STYLE -->
  <link rel="stylesheet" href="{{ asset("assets/plugins/font-awesome/css/all.min.css") }}" />
  <link href="{{ asset("assets/plugins/nprogress/nprogress.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/jvectormap/jquery-jvectormap-2.0.3.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/daterangepicker/daterangepicker.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/toastr/toastr.min.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/data-tables/datatables.bootstrap4.min.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/select2/css/select2.min.css") }}" rel="stylesheet" />
  <link href="{{ asset("assets/plugins/jquery/jquery-ui-1.12.1.css") }}" rel="stylesheet" />
  <link rel="stylesheet" href="{{ asset("assets/plugins/bootstrap-select.min.css") }}">
  <!-- SLEEK CSS -->
  <link id="sleek-css" rel="stylesheet" href="{{ asset("assets/css/sleek.css") }}" />
  <link rel="stylesheet" href="{{ asset("css/styles.css") }}" />

  <link href='https://api.mapbox.com/mapbox-gl-js/v2.3.1/mapbox-gl.css' rel='stylesheet' />

  <!-- FAVICON -->
  <link href="{{ asset("logo-kemenag.png") }}" rel="shortcut icon" />

  <script src="{{ asset("assets/plugins/nprogress/nprogress.js") }}"></script>

  <style>
    .hide {
        display: none;
    }
    .show {
        display: block;
    }
    .img-profil {
        width: 100px;
    }

  </style>
  <script>
    var isDashboardPage = false;
  </script>

</head>


<body class="header-fixed sidebar-fixed sidebar-dark header-light" id="body">
    <script>
        NProgress.configure({ showSpinner: false });
        NProgress.start();
    </script>
    <div class="wrapper">
        @include('templates.sidebar')
        <div class="page-wrapper">
            @include('templates.navbar')
            <div class="content-wrapper">
                <div class="content">	
                    @yield('content')		
                </div>
            </div>
            @include('templates.footer')
        </div>
    </div>
    
    <script src="{{ asset("assets/plugins/jquery/jquery.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/jquery/jquery-ui-1.12.js") }}"></script>
    <script src="{{ asset("assets/plugins/slimscrollbar/jquery.slimscroll.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/jekyll-search.min.js") }}"></script>

    <script src="{{ asset("assets/plugins/charts/chart.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/charts/chartjs-plugin-datalabels.js") }}"></script>

    <script src="{{ asset("assets/plugins/jvectormap/jquery-jvectormap-2.0.3.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/jvectormap/jquery-jvectormap-world-mill.js") }}"></script>

    <script src="{{ asset("assets/plugins/daterangepicker/moment.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/daterangepicker/daterangepicker.js") }}"></script>

    <script src="{{ asset("assets/plugins/data-tables/jquery.datatables.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/data-tables/datatables.bootstrap4.min.js") }}"></script>

    <script src="{{ asset("assets/plugins/select2/js/select2.min.js") }}"></script>

    <script src="{{ asset("assets/plugins/bootstrap.bundle.min.js") }}"></script>
    <script src="{{ asset("assets/plugins/bootstrap-select.min.js") }}"></script>

    <script>
        var mainUrl = '{{ url("") }}';
        var urlBelumPresensi = '{{ route("belum_presensi.index") }}';
        var dataPresensiMasuk = JSON.parse(`<?php echo $jam_masuk ?? ''; ?>`);
        var dataPresensiPulang = JSON.parse(`<?php echo $jam_pulang ?? ''; ?>`);
        var dataPresensi = JSON.parse('<?php echo $dataPresensi ?? ''; ?>');
        var dataTugas = JSON.parse(`<?php echo $tugas ?? ''; ?>`);
    </script>

    <script src="{{ asset("js/datatable.js") }}"></script>
    <script src="{{ asset("js/action_presensi.js") }}"></script>
    <script src="{{ asset("js/action_tugas.js") }}"></script>
    <script src="{{ asset("js/select2.js") }}"></script>
    <script src="{{ asset("js/chart.js") }}"></script>
  
    <script src="{{ asset("assets/plugins/toastr/toastr.min.js") }}"></script>
    <script src="{{ asset("assets/js/sleek.bundle.js") }}"></script>

    <script src="https://api.mapbox.com/mapbox-gl-js/v2.3.1/mapbox-gl.js"></script>

    <script>

        $(document).ready(function() {
            $('.js-example-basic-single').select2();
        });
        $(function(){
             // Belum Presensi
            var table_belum_presensi = $(".data-table").DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: urlBelumPresensi,
                    data: function (d) {
                        (d.tipe_pegawai = $(".tipe_pegawai").val()),
                            (d.search = $('input[type="search"]').val());
                    },
                },
                columns: [
                    { data: "DT_RowIndex", name: "DT_RowIndex" },
                    { data: "nama", name: "nama" },
                    { data: "nama_jabatan", name: "nama_jabatan" },
                    { data: "jam_masuk", name: "jam_masuk" },
                    { data: "jam_pulang", name: "jam_pulang" },
                    { data: "nama_tempat", name: "nama_tempat" },
                    { data: "action", name: "action" },
                ],
                responsive: true,
            });
            $(".tipe_pegawai").change(function () {
                table_belum_presensi.draw();
            });
        });

        loadPeriode();
        function loadPeriode(){
            $.ajax({
                url: mainUrl+"/periode",
                method: "GET",
                success: function(res){
                    document.querySelector(".periode_awal").value = res.periode.periode_awal;
                    document.querySelector(".periode_akhir").value = res.periode.periode_akhir;
                }
            });
        }

        // Set Periode
        function setPeriode(){
            var periodeAwal = document.querySelector(".periode_awal").value;
            var periodeAkhir = document.querySelector(".periode_akhir").value;
            const snackBar = document.querySelector("#snackbar");
            var message = "Berhasil mengubah periode";
            $.ajax({
                url: mainUrl+"/periode",
                method: "POST",
                headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                },
                data: {
                    periode_awal: periodeAwal,
                    periode_akhir: periodeAkhir
                },
                success: function(res){
                    snackBar.className = "show";
                    snackBar.innerHTML = message;
                    setTimeout(function () {
                        snackBar.className = snackBar.className.replace("show", "");
                        window.location.reload();
                    }, 3000);
                }
            });
        }

        loadGolongan();
        function loadGolongan(){
            var golongan = [
                "Pengatur Muda",
                "Pengatur Muda Tk.I",
                "Pengatur",
                "Pengatur Tk.I",
                "Penata Muda",
                "Penata Muda Tk.I",
                "Penata",
                "Penata Tk.I",
                "Pembina",
                "Pembina Tk.I",
                "Pembina Utama Muda",
                "Pembina Utama Madya",
                "Pembina Utama",
            ];
            var pngkt = document.querySelector(".golongan");
            for (var i = 0; i < golongan.length; i++) {
                var option = document.createElement("option");
                option.value = golongan[i];
                option.innerHTML = golongan[i];
                pngkt.appendChild(option);
            }
        }

        loadPangkat();
        function loadPangkat(){
            var pangkat = [
                "II/a",
                "II/b",
                "II/c",
                "II/d",
                "III/a",
                "III/b",
                "III/c",
                "III/d",
                "IV/a",
                "IV/b",
                "IV/c",
                "IV/d",
            ];
            var pngkt = document.querySelector(".pangkat");
            for (var i = 0; i < pangkat.length; i++) {
                var option = document.createElement("option");
                option.value = pangkat[i];
                option.innerHTML = pangkat[i];
                pngkt.appendChild(option);
            }
        }

    </script>

    {{-- Pegawai --}}
    <script>
        var input_nip = document.querySelector(".nip_input");
        var input_username = document.querySelector(".username_input");
        var input_password = document.querySelector(".password_input");

        input_nip.addEventListener("change",function(e){
            document.querySelector(".text-info-nip-fill").innerHTML = "Username & Password akan terisi otomatis dari nip pegawai"+
                " atau anda dapat mengubahnya."
              input_username.value = e.target.value;
              input_password.value = e.target.value;
        });

    </script>

    <script>
        mapboxgl.accessToken = 'pk.eyJ1IjoiZmF0YWtodWxhZmkiLCJhIjoiY2tiZ2hwdnZhMHhoeTJ4bnlsYzNwZnVlMiJ9.MkJvbmyoVfcbgjO9yzcuoA';
        var map = new mapboxgl.Map({
            container: 'mapLokasiTempat', // container ID
            style: 'mapbox://styles/mapbox/streets-v11', // style URL
            center: [112.1833003, -7.541166], // starting position [lng, lat]
            zoom: 9 // starting zoom
        });
        map.addControl(new mapboxgl.NavigationControl());

        map.on('click', addMarker);

        var currentMarkers = [];
        if(latTempatEdit != '' && longTempatEdit != ''){
            new mapboxgl.Marker({ color: 'red' })
                .setLngLat([longTempatEdit, latTempatEdit])
                .addTo(map);
        }

        function addMarker(e){
            var marker = new mapboxgl.Marker({ color: 'green' })
                .setLngLat([e.lngLat.lng, e.lngLat.lat])
                .addTo(map);

            if(currentMarkers.length >= 1){
                currentMarkers[0].remove();
                currentMarkers[currentMarkers.length-1].remove();
            }
            currentMarkers.push(marker);
            document.querySelector(".lat_tempat").value = e.lngLat.lat;
            document.querySelector(".long_tempat").value = e.lngLat.lng;

        }

    </script>

    <script src="{{ asset("assets/plugins/ckeditor/ckeditor.js") }}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.ckeditor').ckeditor();
        });
        CKEDITOR.replace('menimbang');
        var editor = CKEDITOR.instances['menimbang'];
        editor.setData("<ol type='a'><li>Bahwa dalam rangka melaksanakan tugas dan tertib administrasi Aparatur Sipil Negara diperlukan surat tugas;</li><li>Bahwa untuk memberikan kepastian hukum terhadap Aparatur Sipil Negara yang mengikuti kegiatan, instansi pengirim peserta perlu menerbitkan surat tugas;</li></ol>")
        CKEDITOR.replace('dasar');
        var editor = CKEDITOR.instances['dasar'];
        editor.setData("<ol type='a'><li>Undang-Undang No. 17 Tahun 2003 tentang keuangan Negara;</li><li>Keputusan Menteri Agama Republik Indonesia Nomor 9 Tahun 2016 tentang tata Persuratan Dinas Kementerian Agama;</li><li>KMA No. 23 Tahun 2014 tentang Pedoman Penggunaan, Pemanfaatan, Penghapusan, dan Pemindahtanganan BMN di lingkungan kementerian Agama;</li><li>KMA Nomor 607 Tahun 2020 tentang Pelimpahan Sebagian Kewenangan dan Tanggung Jawab Pengguna Barang kepada Kuasa Pengguna Barang dalam Pengelolaan BMN;</li></ol>")
        CKEDITOR.replace('perihal');
        var editor = CKEDITOR.instances['perihal'];
        editor.setData("<ol type='1'><li>Mengajukan permohonan Sewa Gedung BMN dari Bank Panin, Bank CIMB dan Bank Mega untuk Pelayanan Pendaftaran Haji periode 3 tahun</li><li>Mengajukan permohonan hibah Gedung Ex. KUA Tembelang Jombang kepada Pengurus masjid Besar Ar Rohmat Tembelang Jombang</li></ol>")
        CKEDITOR.replace('an');
        var editor = CKEDITOR.instances['an'];
        editor.setData("<h4>a.n. Kepala Kantor,<br/>Kepala Sub  Bagian Tata Usaha<br><br><br><br>Emy Chulaimi</h4>")
    </script>
</body>
</html>

resources/views/templates/navbar.blade.php
<header class="main-header " id="header">
    <nav class="navbar navbar-static-top navbar-expand-lg">
      <!-- Sidebar toggle button -->
      <button id="sidebar-toggler" class="sidebar-toggle">
        <span class="sr-only">Toggle navigation</span>
      </button>
      <div class="search-form d-none d-lg-inline-block"></div>

      <div class="navbar-right ">
        <ul class="nav navbar-nav">
          <!-- User Account -->
          <li class="dropdown user-menu">
            <button href="#" class="dropdown-toggle nav-link" data-toggle="dropdown">
              <span class="d-none d-lg-inline-block">{{ getUsername() }}</span>
            </button>
            <ul class="dropdown-menu dropdown-menu-right">
              <!-- User image -->
              <li class="dropdown-header">
                <div class="d-inline-block">
                  {{ getUsername() }}
                </div>
              </li>
              <li class="dropdown-footer">
                <a href="{{ url('logout') }}"> <i class="mdi mdi-logout"></i> Log Out </a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>
  </header>	

resources/views/templates/sidebar.blade.php
<aside class="left-sidebar bg-sidebar">
    <div id="sidebar" class="sidebar">
      <!-- Aplication Brand -->
      <div class="app-brand">
        <a href="{{ url('/') }}" title="Sleek Dashboard">
          <img class="brand-icon mr-auto ml-2" width="60" height="60" 
            src="{{ asset('logo-kemenag.png') }}" />
          <h5 class="mt-2 text-white ml-2">Kemenag Kab Jombang</h5>
        </a>
      </div>
      <!-- begin sidebar scrollbar -->
      <div class="sidebar-scrollbar">
        <!-- sidebar menu -->
        <ul class="nav sidebar-inner" id="sidebar-menu">
            <li class="has-sub expand">
              <a class="sidenav-item-link" href="javascript:void(0)">
                <span class="nav-text">Presensi <br/>Penugasan </span>
              </a>
            </li>
            <li @if(Request::segment(1) == '') class="active" @endif>
                <a class="sidenav-item-link" href="{{ url("/") }}">
                  <i class="mdi mdi-view-dashboard-outline"></i>
                  <span class="nav-text">Dashboard</span>               
                </a>
            </li>  

            <li class="has-sub expand">
                <a class="sidenav-item-link" href="javascript:void(0)" data-toggle="collapse" data-target="#app0"
                  aria-expanded="false" aria-controls="app">
                  <i class="fas fa-user"></i>
                  <span class="nav-text">Pengguna</span> <b class="caret"></b>
                </a>
                <ul class="collapse" id="app0" data-parent="#sidebar-menu">
                  <div class="sub-menu">  
                      <li @if(Request::segment(1) == 'pegawai') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("pegawai.index") }}">
                          <span class="nav-text">Pegawai</span>   
                        </a>
                      </li>
                      <li>
                        <a class="sidenav-item-link" href="{{ route('akun.index') }}">
                          <span class="nav-text">Akun</span>   
                        </a>
                      </li>
                  </div>
                </ul>
              </li>  
           
            <li class="has-sub expand">
              <a class="sidenav-item-link" href="javascript:void(0)" data-toggle="collapse" data-target="#app"
                aria-expanded="false" aria-controls="app">
                <i class="fas fa-list"></i>
                <span class="nav-text">Presensi</span> <b class="caret"></b>
              </a>
              <ul class="collapse" id="app" data-parent="#sidebar-menu">
                <div class="sub-menu">  
                  <li @if(Request::segment(1) == 'log_presensi') class="active" @endif>
                    <a class="sidenav-item-link" href="{{ route("log_presensi.index") }}">
                      <span class="nav-text">Presensi Pegawai</span>   
                    </a>
                  </li>
                    {{-- <li @if(Request::segment(1) == 'belum_presensi') class="active" @endif>
                      <a class="sidenav-item-link" href="{{ route("belum_presensi.index") }}">
                        <span class="nav-text">Belum Presensi</span>   
                      </a>
                    </li> --}}
                    <li @if(Request::segment(1) == 'ketidakhadiran') class="active" @endif>
                      <a class="sidenav-item-link" href="{{ route("ketidakhadiran.index") }}">
                        <span class="nav-text">Pengajuan Ketidakhadiran / Cuti</span>   
                      </a>
                    </li>
                    <li @if(Request::segment(1) == 'jabatan') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("tempat_presensi.index") }}">
                          <span class="nav-text">Tempat Presensi</span>   
                        </a>
                    </li>
                    <li @if(Request::segment(1) == 'waktu_presensi') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("waktu_presensi.index") }}">
                          <span class="nav-text">Waktu Presensi</span>   
                        </a>
                    </li>
                    <li @if(Request::segment(1) == 'rule_presensi') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("rule_presensi.index") }}">
                          <span class="nav-text">Rule Presensi</span>   
                        </a>
                    </li>
                    <li @if(Request::segment(1) == 'rule_hari_libur') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("rule_hari_libur.index") }}">
                          <span class="nav-text">Rule Hari Libur</span>   
                        </a>
                    </li>
                </div>
              </ul>
            </li>

            <li class="has-sub expand">
                <a class="sidenav-item-link" href="javascript:void(0)" data-toggle="collapse" data-target="#app1"
                  aria-expanded="false" aria-controls="app">
                  <i class="fas fa-envelope"></i>
                  <span class="nav-text">Penugasan</span> <b class="caret"></b>
                </a>
                <ul class="collapse" id="app1" data-parent="#sidebar-menu">
                  <div class="sub-menu">
                      <li @if(Request::segment(1) == 'penugasan') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("penugasan.index") }}">
                          <span class="nav-text">Penugasan</span>   
                        </a>
                      </li>
                      <li @if(Request::segment(1) == 'aktivitas') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("aktivitas.index") }}">
                          <span class="nav-text">Aktivitas</span>   
                        </a>
                      </li>
                  </div>
                </ul>
              </li>  

            <li class="has-sub expand">
                <a class="sidenav-item-link" href="javascript:void(0)" data-toggle="collapse" data-target="#app2"
                  aria-expanded="false" aria-controls="app">
                  <i class="fas fa-folder"></i>
                  <span class="nav-text">Data Master</span> <b class="caret"></b>
                </a>
                <ul class="collapse" id="app2" data-parent="#sidebar-menu">
                  <div class="sub-menu">  
                      <li @if(Request::segment(1) == 'jabatan') class="active" @endif>
                          <a class="sidenav-item-link" href="{{ route("jabatan.index") }}">
                            <span class="nav-text">Data Jabatan</span>   
                          </a>
                      </li>
                      <li @if(Request::segment(1) == 'tempat_tugas') class="active" @endif>
                        <a class="sidenav-item-link" href="{{ route("tempat_tugas.index") }}">
                          <span class="nav-text">Tempat Tugas</span>   
                        </a>
                      </li>
                  </div>
                </ul>
              </li>  
      
        </ul>
      </div>
    </div>
  </aside>